version: "3.9"

services:
  mua_mariadb:
    image: mariadb:10.3.31
    environment:
      - MYSQL_DATABASE=nombre
      - MYSQL_ROOT_PASSWORD=claveroot
      - MYSQL_USER=miusuario
      - MYSQL_PASSWORD=mipassword
    volumes:
      # Montamos un volumen para MySQL para no perder los datos de bd
      - D:\WorkSpaceItCloud\Databases\mysql\volumenes/mysql:/var/lib/mysql
    expose:
      - 3306
    ports:
      - 3308:3306

  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: mua_pma
    links:
      - mua_mariadb
    environment:
      PMA_HOST: mua_mariadb
      PMA_PORT: 3308
      PMA_ARBITRARY: 1
      UPLOAD_LIMIT: 300M
    restart: always
    ports:
      - 8084:80

  redis:
    image: redis:latest
    container_name: mua_redis
    ports:
      - 6379:6379
    volumes:
      - D:\WorkSpaceItCloud\Databases\redis\data:/data
    restart: always
    command: redis-server --appendonly yes
  